#!/usr/bin/env bash
export BASEDIR=$(cd `dirname $0`; pwd)/..
# JAVA
#export JAVA_HOME="/etc/alternatives/java_sdk_1.7.0_openjdk"
export CLASSPATH="$BASEDIR/config:$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar:$BASEDIR/lib/*:."

echo $BASEDIR
echo $JAVA_HOME
echo $CLASSPATH

# startup entry
export STARTUP_ENTRY="com.jcloud.jcq.sdk.demo.GlobalFIFOPushConsumerDemo"

JAVA_OPTS="${JAVA_OPTS} -XX:+HeapDumpOnOutOfMemoryError -XX:+DisableExplicitGC -verbose:gc -Xloggc:./jcq_gc_%p.log"

$JAVA_HOME/bin/java ${JAVA_OPTS} -classpath "$CLASSPATH" -Dmeta.server.addr="" -Dfile.encoding="UTF-8" ${STARTUP_ENTRY} $*
